$(document).ready(function () {
	if (sessionStorage) {
		//console.log("yes you have");
		if (sessionStorage.getItem("sessionkey") == undefined) {
			alert('You are not logged in.');
			window.location = "index.html";
		} else {
			var currentTime = new Date();
			currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
			//console.log(currentTime);
			var duration = getDuration(currentTime);
			console.log(duration);

			if (duration > 30) {
				alert('Your session expired.');
				window.location = "index.html";
			} else {
				console.log('Reset-' + duration);
				sessionStorage.setItem('loginTime', currentTime);
			}
		}
	}
        getMaterial();
        getCategory();
        var itemId="";
        $('#TabPane').hide();
     //   $('#tab_2').show();
      //  $('#tab_2').addClass('active');
        $('#cmbCategory').on('change',function(){
            var catid = $('#cmbCategory').val();
            getSubCategory(catid);
        });
        
        getFinish();
        getBuyer();
        getCurrency();
        GetOfferGrid();
        
        $('#btnAddOffer').on('click',function(){
           $('#GridDetail').hide();
           $('#TabPane').show();
           return false;
        }); 
        
        $('#OfferGrid').on('click','#EditOffer',function(){
           $('#GridDetail').hide();
           $('#TabPane').show();
           return false;
        }); 
        
        $('#btnCancel').on('click',function(){
           $('#TabPane').hide();
           $('#GridDetail').show();           
           return false;
        }); 
        
        $('#btnSearch').on('click',function(){
            var intMaterialID, 
                intFinishID,
                intSubCategoryID;
                
                intMaterialID = $('#cmbMaterial').val();
                intFinishID = $('#cmbFinish').val();
                intSubCategoryID = $('#cmbSubCategory').val();
                
            GetItemRecord(intMaterialID, intFinishID, intSubCategoryID);
            //alert(itemId);
            
            return false;
        });
        
        $('#btnGenOffer').on('click',function(){// alert($('#cmbOfferType').val());
           var offerId=$('#cmbOfferType').val();
           generateOffer(offerId,itemId);
           return false;
        });
        
        $('#btnMail').on('click',function(){
            var offerId=$('#cmbOfferType').val();
            GenerateOffer4Mail(offerId,itemId);
            return false;
        });
        
        
              $('#Offer').on('click','.item',function(){
                  var html="";
                  
                        html+='<tr id='+$(this).closest('tr').find('td:eq(1)').html()+'>';
                        html+='<td itemId='+$(this).closest('tr').find('td:eq(1)').html()+'>'+$(this).closest('tr').find('td:eq(1)').html()+'</td>';
                        html+='<td description='+$(this).closest('tr').find('td:eq(2)').html()+'>'+$(this).closest('tr').find('td:eq(2)').html()+'</td>';
                        html+='<td >'+$(this).closest('tr').find('td:eq(3)').html()+'</td>';
                        html+='<td>'+$(this).closest('tr').find('td:eq(4)').html()+'</td>';
                        html+='<td>'+$(this).closest('tr').find('td:eq(5)').html()+'</td>';
                        html+='<td dimension='+$(this).closest('tr').find('td:eq(6)').html()+'>'+$(this).closest('tr').find('td:eq(6)').html()+'</td>';
                        html+='<td innerQty='+$(this).closest('tr').find('td:eq(7)').html()+'>'+$(this).closest('tr').find('td:eq(7)').html()+'</td>';
                        html+='<td masterQty='+$(this).closest('tr').find('td:eq(8)').html()+'>'+$(this).closest('tr').find('td:eq(8)').html()+'</td>';
                        html+='</tr>';
                       
                    if ($(this).is(':checked')) {
                            $('#SelectItem tbody').append(html);
                            if (itemId == ""){
                                    itemId += $(this).closest('tr').find('td:eq(0)').attr('id'); 
                                    
                            } else {
                                    itemId += ','+ $(this).closest('tr').find('td:eq(0)').attr('id');                                 
                            }
                            
                    } else{
                        //itemId="";
                        /*var itemData = itemId.split(',');
                        var i;
                            for(i=0;i<itemData.length;i++){
                                if($(this).closest('tr').find('td:eq(0)').attr('id')==itemData[i][0]){
                                    i
                                }
                            }*/
                        $('#SelectItem tbody #'+$(this).closest('tr').find('td:eq(1)').html()).remove();
                    }
            });
                
        function getMaterial(){
            var i;
            $('#cmbMaterial').empty();
            $('#cmbMaterial').append('<option value="0">Select Material</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getMaterial',
                function(data){
                   // alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbMaterial').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }

        function getCategory(){
            var i;
            $('#cmbCategory').empty();
            $('#cmbCategory').append('<option value="0">Select Category</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getCategory',
                function(data){
                    //alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbCategory').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }

        function getSubCategory(catId){
            var i;
            $('#cmbSubCategory').empty();
            $('#cmbSubCategory').append('<option value="0">Select Sub-Category</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getSubCategory',
                {CategoryId:+catId},
                function(data){
                    //alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbSubCategory').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }

        function getFinish(){
            var i;
            $('#cmbFinish').empty();
            $('#cmbFinish').append('<option value="0">Select Finish</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getFinish',
                function(data){
                    //alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbFinish').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }

        function getBuyer(){
            var i;
            $('#cmbBuyer').empty();
            $('#cmbBuyer').append('<option value="0">Select Buyer</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getBuyer',
                function(data){
                    //alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbBuyer').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }
        
        function getCurrency(){
            var i;
            $('#cmbCurrency').empty();
            $('#cmbCurrency').append('<option value="0">Select Currency</option>');
            $.get(
                'scripts/Mod_Offer.php?operation=getCurrency',
                function(data){
                    //alert(data);
                    for(i=0;i<data.length;i++){
                        $('#cmbCurrency').append('<option value="'+data[i][0]+'">'+data[i][1]+'</option>');
                    }
            });
        }        
        
        function generateOffer(offerId,itemId){
            var intBuyerId,dtOffer,intCurrencyId,
                                intItemCount,intSubCatgoryId,
                                    strStyleNo=[],strDiscription=[],intQtyInner=[],intQtyMaster=[],
                                        decMasterLWH=[];
                intBuyerId=$('#cmbBuyer').val();
                var txtOfferDate= $('#txtOfferDate').val().split('/');
                dtOffer=txtOfferDate[2]+'-'+txtOfferDate[1]+'-'+txtOfferDate[0];
                intCurrencyId=$('#cmbBuyer').val();
                intSubCatgoryId = $('#cmbSubCategory').val();
                intItemCount=$('#SelectItem tbody tr').length;
                
            $('#SelectItem tbody tr').each(function(){
                strStyleNo.push($(this).find('td:eq(0)').attr('itemId'));
                strDiscription.push($(this).find('td:eq(1)').attr('description'));
                decMasterLWH.push($(this).find('td:eq(5)').attr('dimension'));
                intQtyInner.push($(this).find('td:eq(6)').attr('innerQty'));
                intQtyMaster.push($(this).find('td:eq(7)').attr('masterQty'));               
                
            });
//          alert(itemId+'-'+strStyleNo+'-'+strDiscription+'-'+decMasterLWH+'-'+intQtyInner+'-'+intQtyMaster+'-'+intBuyerId+'-'+dtOffer+'-'+intCurrencyId+'-'+intItemCount);
            if(offerId==1){
                 window.location.href='scripts/photoOffer1.php?ItemID='+itemId;
                 InsertOffer(intBuyerId,dtOffer,intCurrencyId,
                                intItemCount,intSubCatgoryId,itemId,offerId,
                                    strStyleNo,strDiscription,intQtyInner,intQtyMaster,
                                        decMasterLWH )
            } else if(offerId==4){
                window.location.href='scripts/photoOfferNew.php?ItemID='+itemId;
                InsertOffer(intBuyerId,dtOffer,intCurrencyId,
                                intItemCount,intSubCatgoryId,itemId,offerId,
                                    strStyleNo,strDiscription,intQtyInner,intQtyMaster,
                                        decMasterLWH )
            } 

        }
        
        function GetItemRecord(intMaterialID, intFinishID, intSubCategoryID){
                var html="",innerhtml="",i,itemIdData,j;  
                itemIdData = itemId.split(',');
             $.get(
                'scripts/Mod_Offer.php?operation=GetItemRecord',
                {MaterialID: +intMaterialID, 
                    FinishID:+intFinishID, 
                    SubCategoryID:+intSubCategoryID},
                function(data){
                 // alert(data);
                 // console.log(html);
                    for(i=0; i<data.length; i++){
                        html+='<tr class="ItemRecordId">';    
                                for(j=0; j<itemIdData.length; j++){
                                    if(data[i][0]==itemIdData[j][0]){
                                         innerhtml ='<td id='+data[i][0]+'><input type="checkbox" checked class="item"></td>';
                                         break;                                        
                                    } else {
                                         innerhtml ='<td id='+data[i][0]+'><input type="checkbox" class="item"></td>';
                                    }
                                }
                        html +=innerhtml;                        
                        html+='<td>'+data[i][1]+'</td>';
                        html+='<td>'+data[i][6]+'</td>';
                        html+='<td>'+data[i][3]+'</td>';
                        html+='<td>'+data[i][23]+'</td>';
                        html+='<td>'+data[i][25]+'</td>';
                        html+='<td>'+ Math.floor(data[i][12]) +'X'+Math.floor(data[i][13])+'X'+Math.floor(data[i][14])+'</td>';
                        html+='<td>'+data[i][10]+'</td>';
                        html+='<td>'+data[i][11]+'</td>';
                        html+='</tr>';
                    }
                    //alert(html);
                   // console.log(html);
                    $('#Offer tbody').html(html);
            });
        }        
        
        function GetOfferGrid(){
                var html="";
             $.get(
                'scripts/Mod_Offer.php?operation=GetOfferGrid',
                
                function(data){
                 // alert(data);
                 // console.log(html);
                    for(i=0; i<data.length; i++){
                        html+='<tr>';    
                        html+='<td>'+data[i][0]+'</td>';
                        html+='<td><a href="#" id="EditOffer">'+data[i][1]+'</a></td>';
                        html+='<td>'+data[i][2]+'</td>';
                        html+='<td>'+data[i][3]+'</td>';
                        html+='<td>'+data[i][4]+'</td>';
                        html+='<td>'+data[i][5]+'</td>';
                        html+='</tr>';
                    }
                    //alert(html);
                   // console.log(html);
                    $('#OfferGrid tbody').html(html);
            });
        }    
        
        function InsertOffer(intBuyerId,dtOffer,intCurrencyId,
                                intItemCount,intSubCatgoryId,intItemId,intOfferType,
                                    strStyleNo,strDiscription,intQtyInner,intQtyMaster,
                                        decMasterLWH ){
//              alert(intBuyerId+','+dtOffer+','+intCurrencyId+','+
//                                intItemCount+','+intSubCatgoryId+','+intItemId+','+intOfferType+','+
//                                    strStyleNo+','+strDiscription+','+intQtyInner+','+intQtyMaster+','+
//                                        decMasterLWH);
             $.get(
                'scripts/Mod_Offer.php?operation=InsertOffer',
                { BuyerId:+intBuyerId,OfferDate:dtOffer,Currency:+intCurrencyId,
                                ItemCount:+intItemCount,SubCategory:+intSubCatgoryId,ItemId:intItemId,OfferType:+intOfferType,
                                    styleNo:strStyleNo,Description:strDiscription,InnerQty:intQtyInner,MasterQty:intQtyMaster,
                                        MasterLWH:decMasterLWH},
                function(data){
                   // alert(data);                    
                });
        }        
                

	function getDuration(currentTime) {
		var keyvalues = sessionStorage.getItem("loginTime");
		//keyvalues = keyvalues.split("/");
		console.log('keyvalues-' + keyvalues);
		getDuration = ((currentTime - keyvalues) / 60000);
		return getDuration;
	}
        
        function GenerateOffer4Mail(offerId,itemId){
             var intBuyerId,dtOffer,intCurrencyId,
                                intItemCount,intSubCatgoryId, txtOfferDate,
                                    strStyleNo=[],strDiscription=[],intQtyInner=[],intQtyMaster=[],
                                        decMasterLWH=[];
                intBuyerId=$('#cmbBuyer').val();
                txtOfferDate= $('#txtOfferDate').val().split('/');
                dtOffer=txtOfferDate[2]+'-'+txtOfferDate[1]+'-'+txtOfferDate[0];
                intCurrencyId=$('#cmbBuyer').val();
                intSubCatgoryId = $('#cmbSubCategory').val();
                intItemCount=$('#SelectItem tbody tr').length;
                
                $('#SelectItem tbody tr').each(function(){
                    strStyleNo.push($(this).find('td:eq(0)').attr('itemId'));
                    strDiscription.push($(this).find('td:eq(1)').attr('description'));
                    decMasterLWH.push($(this).find('td:eq(5)').attr('dimension'));
                    intQtyInner.push($(this).find('td:eq(6)').attr('innerQty'));
                    intQtyMaster.push($(this).find('td:eq(7)').attr('masterQty'));               
                });
                
//          alert(itemId+'-'+strStyleNo+'-'+strDiscription+'-'+decMasterLWH+'-'+intQtyInner+'-'+intQtyMaster+'-'+intBuyerId+'-'+dtOffer+'-'+intCurrencyId+'-'+intItemCount);
            if(offerId==1){
                window.location.href='scripts/Mod_Offer.php?operation=GenerateOffer4Mail&ItemID='+itemId;
                InsertOffer(intBuyerId,dtOffer,intCurrencyId,
                             intItemCount,intSubCatgoryId,itemId,offerId,
                                  strStyleNo,strDiscription,intQtyInner,intQtyMaster,
                                       decMasterLWH )
            } else if(offerId==4){
                window.location.href='scripts/Mod_Offer.php?operation=GenerateOffer4Mail&ItemID='+itemId;
                InsertOffer(intBuyerId,dtOffer,intCurrencyId,
                              intItemCount,intSubCatgoryId,itemId,offerId,
                                  strStyleNo,strDiscription,intQtyInner,intQtyMaster,
                                       decMasterLWH )
                                       
            } 

            
               
        }


})();