$(function() {
	//alert(sessionStorage.getItem("sessionkey"));
	if (sessionStorage) {
		//console.log("yes you have");
		if (sessionStorage.getItem("sessionkey") == undefined) {
			alert('You are not logged in.');
			window.location = "../index.html";
		} else {
			var currentTime = new Date();
			currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
			//console.log(currentTime);
			var duration = getDuration(currentTime);
			console.log(duration);
			if (duration > 30) {
				alert('Your session expired.');
				window.location = "../index.html";
			} else {
				console.log('Reset-' + duration);
				sessionStorage.setItem('loginTime', currentTime);
			}
		}
	}
	//$('#main_sidebar').load('../layout/sidebar.html');
        
	$('#main_sidebar').on('click', '#alogout', function(e) {
		sessionStorage.removeItem("sessionkey");
		alert('Logged out successfully.');
		window.location = "index.html";
		e.preventDefault();
	});
        
	getEmployeeList();
        
	var ID = 0;
	getCategory();
        
	$("#popup")[0].reset();
	var overlay = $('<div id="overlay"></div>');
	$('#popup_close').click(function() { 
            ID = 0;
		$('.popup').hide();
                 $('#popup')[0].reset();
                  $('#message').html(''); 
		//overlay.appendTo(document.body).remove();
		
	});
	$('.close').click(function() { 
            ID = 0;
		$('.popup').hide();
                 $('#popup')[0].reset();
                   $('#message').html('');   
		overlay.appendTo(document.body).remove();
		
	});
	$("#hrefPrint").click(function() {
		window.print();
		//$("#tab1").print();
		return (false);
	});
        
	$('#btnsubmit').click(function() {
		if (validate("#popup")) {
			var txtFinish = $('#txtFinish').val();                                
			ID = InsertRecords(txtFinish, ID);
			return false;
		}
		return false;
	});
	$('#cmbCategory').on('change', function() {
		getSubCategory($('#cmbCategory').val(), 0);
	});
	$('tbody').on('click', '#Edit', function() {
		ID = $(this).attr('abc');
		//alert(ID);
		getRecords(ID);
                //return false;
	});
	$('tbody').on('click', '#Delete', function() {
		ID = $(this).attr('href');
                 $('#divDelete').show();
		return false;
	});
        
        $('#ConfirmYes').on('click',function(){
            $('#divDelete').hide();
            DeleteRecords(ID);
        });
        $('#ConfirmNo').on('click',function(){
            $('#divDelete').hide();
        });

	function InsertRecords(txtFinish, ID) { //alert(txtCategory+txtSubCategory+txtSubatDescription+txtSequence+SubCategoryID);
	var intID = 0;	
            $.ajax({
                    url : 'scripts/Mod_Finish.php?operation=Modification',
                    type: 'get',
                    dataType: 'json',
                    data : {
			Finish: txtFinish,
			intID: ID},
                     async: false,
                success: function(data) {
                getEmployeeList();
                          intID = data;
                    if(data>0 && ID==0){

                        $('#message').css('color','green');
                        $('#message').html('Save successfully...');
                    }
                    else{
                        $('#message').css('color','green');
                        $('#message').html('Updated successfully...');   
                    }
			
                }
            });
             return  intID;
	}

	function getCategory() {
		$.getJSON('scripts/Mod_Finish.php?operation=get_Finish', getClassDetails);

		function getClassDetails(data) {
			//alert(data);
			$.each(data, function(index, array) {
				$("#cmbItem").append('<option value=' + array[0] + '>' + array[1] + '</option>');
			});
		}
	}

	function getRecords(id) {
		$.getJSON('scripts/Mod_Finish.php?operation=GetData', {
			ID: id
		}, GetDetails);

		function GetDetails(data) {
			//alert(data);
			$.each(data, function(index, array) {
				$('#txtFinish').val(array[0]);
			});
		}
	}

	function DeleteRecords(id) {
		$.get('scripts/Mod_Finish.php?operation=Delete', {
			FinishID: +id
		}, GetDetails);

		function GetDetails(data) {
		 $('#divMessage').show();
                $('#Bottommessage').css('color','red');
                $('#Bottommessage').html(data);
                getEmployeeList();
                ID = 0;
                setInterval(function(){
                    $('#divMessage').hide();
                    
                }, 5000);
		}
	}

	function getEmployeeList() {
		$.get('scripts/Mod_Finish.php?operation=get_Html', function(data) {
			$('tbody').empty();
			$('tbody').html(data);
			$('h4').hide();
		});
		//getTotalRecord();
	}

	function getDate() {
		$('.date').each(function() {
			var cur = $(this);
			var d = new Date();
			Date.prototype.getControlFmt = function() {
				var dd = "" + d.getDate();
				var mm = "" + (d.getMonth() + 1);
				var yy = d.getFullYear();
				if (dd.length == 1) {
					dd = "0" + dd;
				}
				if (mm.length == 1) {
					mm = "0" + mm;
				}
				return dd + "-" + mm + "-" + yy;
			}
			cur.val(d.getControlFmt());
		});
	}

	function getUrlVar(key) {
		var result = new RegExp(key + "=([^&]*)", "i").exec(window.location.search);
		return result && unescape(result[1]) || 0;
	}

	function getDuration(currentTime) {
		var keyvalues = sessionStorage.getItem("loginTime");
		//keyvalues = keyvalues.split("/");
		console.log('keyvalues-' + keyvalues);
		getDuration = ((currentTime - keyvalues) / 60000);
		return getDuration;
	}
})();
