$(document).ready(function () {
       
	if (sessionStorage) {
		//console.log("yes you have");
		if (sessionStorage.getItem("sessionkey") == undefined) {
			alert('You are not logged in.');
			window.location = "index.html";
		} else {
			var currentTime = new Date();
			currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
			//console.log(currentTime);
			var duration = getDuration(currentTime);
			console.log(duration);

			if (duration > 30) {
				alert('Your session expired.');
				window.location = "index.html";
			} else {
				console.log('Reset-' + duration);
				sessionStorage.setItem('loginTime', currentTime);
			}
		}
	}
 
	$('#main_sidebar').on('click', '#alogout', function (e) {
		sessionStorage.removeItem("sessionkey");
		alert('Logged out successfully.');
		window.location = "index.html";
		e.preventDefault();
	});

	getNews();
	var intNewsID = 0;
	$('#loader').hide();
	var overlay = $('<div id="overlay"></div>');
	
        $('#popup_close').click(function () {
		$('.popup').hide();
		overlay.appendTo(document.body).remove();
		return false;
	});

	$('.x').click(function () {
		$('.popup').hide();
		overlay.appendTo(document.body).remove();
		return false;
	});

	$('#btnAddNews').on('click', function () {
        intNewsID = 0;
		$("#popup")[0].reset();
		$(this).attr('data-target', '#compose-modal');
        //return false;
	});

	$('#btnsubmit').click(function () { 
		// alert($('#txtdtJoining').val());
		var inp = document.getElementById('filesToUpload');
		var  length = inp.files.length;
		
		$('#message').empty();
		if (validate("#popup")) {
			var txtSubject  = $('#txtSubject').val();
			var txtNews     = $('#txtNews').val();
			InsertRecords(txtSubject,txtNews,intNewsID);
		}
		return false;
	});

	$('tbody').on('click', '#Edit', function () {
		$("#popup")[0].reset();	
		$("#ProImg").attr('src', '');
		intNewsID = $(this).attr('newsID');
		getRecords(intNewsID);
	});

	$('tbody').on('click', '#Delete', function () {
               // alert($(this).attr('href'));
		intNewsID = $(this).attr('href');
		DeleteRecords(intNewsID);
		return false;
	});

	function InsertRecords(txtSubject,txtNews,ID) { 
            var intID;
           // alert(txtSubject+'-'+txtNews+'-'+ID);
		$.get(
		'scripts/Mod_News.php?operation=ModifyNews', {
			Subject: txtSubject,
			News: txtNews,
			ModID: ID
		}, GetDetails);

		function GetDetails(data) {
			 intID = data;
			 $("#ProImg").attr('src', '');
			getNews();
                    if(data>0 && intNewsID==0){

                        $('#message').css('color','green');
                        $('#message').html('Save successfully...');
						intID=0;
                    }
                    else{
                        $('#message').css('color','green');
                        $('#message').html('Updated successfully...');   
                    }
					$("#popup")[0].reset();	
		
			//alert(data);
			
		}
	}


	function getRecords(id) {
		$.getJSON('scripts/Mod_News.php?operation=GetNewsData', {
			ModID: +id
		}, GetDetails);
		function GetDetails(data) { //alert(data);
			$.each(data, function (index, array) {
				$('#txtSubject').val(array[0]);
				$('#txtNews').val(array[1]);
				$("#ProImg").attr('src', 'NewsImage/' + array[2]);
			});
		}
	}

	function DeleteRecords(id) {
		//alert('inn-'+id);
		$.get('scripts/Mod_News.php?operation=DeleteNews', {
			ModID: +id
		}, GetDetails);

		function GetDetails(data) {
			alert(data);
			// window.location.href='Employee.html#Close';
			getNews();
		}
	}

	function getNews() {
		$.get('scripts/Mod_News.php?operation=GetNews', function (data) {
			$('tbody').empty();
			$('tbody').html(data);
			$('h4').hide();
		});
		//getTotalRecord();
	}

	$('#filesToUpload').bind('change', function() {
            ClearFolder();
        });

	function ClearFolder() {
            $.ajax({
                url: 'scripts/Mod_Item.php?operation=CleanFolder',
                async: false,
                success: function() {}
            });
	}
        
	var files = "";
	
	$('#filesToUpload').on("change", function(e) {
            $('#btnsubmit').attr('disabled',true);
            files = e.target.files;
            readURL(this, "#ProImg");
	});

	function readURL(input, target) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                var image_target = $(target);
                reader.onload = function(e) {
                image_target.attr('src', e.target.result).show();
                $('#loader').show();
                    uploadFile(e);
                };
                reader.readAsDataURL(input.files[0]);
            }
	}

	function uploadFile(e) {
            e.stopPropagation();
            e.preventDefault();
            // Create a formdata object and add the files
            var data = new FormData();
            $.each(files, function(key, value) {
                data.append(key, value);
            });
            $.ajax({
                url: 'scripts/Mod_News.php?operation=upload&files',
                type: 'POST',
                data: data,
                cache: false,
                dataType: 'json',
                processData: false,
                contentType: false,
                success: function(data, textStatus, jqXHR) {
                    $('#loader').hide();
                    $('#btnsubmit').attr('disabled',false);
                },
                error: function(jqXHR, textStatus, errorThrown) {
                // Handle errors here
                console.log('ERRORS: ' + textStatus);
                // STOP LOADING SPINNER
                }
            });
	}

	function getDuration(currentTime) {
		var keyvalues = sessionStorage.getItem("loginTime");
		//keyvalues = keyvalues.split("/");
		console.log('keyvalues-' + keyvalues);
		getDuration = ((currentTime - keyvalues) / 60000);
		return getDuration;
	}
});