$(function () {
    var intPageNo = 0, subCatID = 0;
    if (sessionStorage) {
        //console.log("yes you have");
        if (sessionStorage.getItem("sessionkey") == undefined) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html('You are not logged in.');
            setInterval(function () {
                window.location = "index.html";
            }, 5000);

        } else {
            var currentTime = new Date();
            currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
            //console.log(currentTime);
            var duration = getDuration(currentTime);
            console.log(duration);
            if (duration > 30) {
                $('#divMessage').show();
                $('#Bottommessage').css('color', 'red');
                $('#Bottommessage').html('Your session expired.');
                setInterval(function () {
                    window.location = "index.html";
                }, 5000);
            } else {
                console.log('Reset-' + duration);
                sessionStorage.setItem('loginTime', currentTime);
            }
        }
    }
    $('#btnPrev').prop('disabled', true);
    $('#btnNext').prop('disabled', true);

    $('#btnNext').on('click', function () {
        intPageNo = intPageNo + 1;
        $('#btnPrev').prop('disabled', false);
        getEmployeeList(subCatID, intPageNo);
    });
    $('#btnPrev').on('click', function () {
        intPageNo = intPageNo - 1;
        if (intPageNo == 0) {
            $('#btnPrev').prop('disabled', true);
        } else {
            $('#btnPrev').prop('disabled', false);
        }
        getEmployeeList(subCatID, intPageNo);
    });

    //$('#main_sidebar').load('../layout/sidebar.html');
    $('#main_sidebar').on('click', '#alogout', function (e) {
        sessionStorage.removeItem("sessionkey");
        $('#divMessage').show();
        $('#Bottommessage').css('color', 'red');
        $('#Bottommessage').html('Logged out successfully.');
        window.location = "index.html";
        e.preventDefault();
    });

    $('#txtMaterial').on('click', function () {
        $('#chkMaterial').slideToggle('slow');
        //$(this).next('div').slideToggle('slow'); 
    });

    $('#txtFinish').on('click', function () {
        $('#chkFinish').slideToggle('slow');
        //$(this).next('div').slideToggle('slow'); 
    });

    var ID = 0;
    getCategory();
    getMaterial();
    getFinish();
    var intValid = 0;
    $('#loader').hide();
    var overlay = $('<div id="overlay"></div>');

    $('#popup_close').click(function () {
        $('.popup').hide();
        overlay.appendTo(document.body).remove();
        return false;
    });

    $('.x').click(function () {
        $('.popup').hide();
        overlay.appendTo(document.body).remove();
        return false;
    });

    $("#hrefPrint").click(function () {
        window.print();
        return (false);
    });

    var txtFinishID = "";

    $('#chkFinish').on('click', '.chkbx', function () {
        var recpt = "";
        txtFinishID = "";
        $('#chkFinish .chkbx').each(function () {
            //sendTo.push($(this).val());
            if ($(this).is(':checked')) {
                if (recpt == "") {
                    recpt += $(this).next("label").text();
                    txtFinishID += $(this).attr('value');
                } else {
                    recpt += ',' + $(this).next("label").text();
                    txtFinishID += ',' + $(this).attr('value');
                }
            }
        });
        $('#txtFinish').val(recpt);
    });

    var txtMaterialID = "";

    $('#chkMaterial').on('click', '.chkbx', function () {
        var recpt = "";
        txtMaterialID = "";
        $('#chkMaterial .chkbx').each(function () {
            if ($(this).is(':checked')) {
                if (recpt == "") {
                    recpt += $(this).next("label").text();
                    txtMaterialID += $(this).attr('value');
                } else {
                    recpt += ',' + $(this).next("label").text();
                    txtMaterialID += ',' + $(this).attr('value');
                }
            }
        });
        $('#txtMaterial').val(recpt);
    });
    
     $("#chkLogin").on('change', function(){
        if ($("#chkLogin").is(':checked')) {
                $("#chkNav").iCheck('check');
            } 
     });
     
    $('#btnsubmit').click(function () {
        var inp = document.getElementById('filesToUpload');
        var length = inp.files.length;

        if (validate("#popup") && intValid == 0) {
            if (length < 1 && ID == 0) {
                $('#popup #message').html('select image');
                $('#popup #message').css('color', 'red');
                return false;
            }
            var txtSubCategory = $('#cmbSubCategory').val();
            var txtStyle = $('#txtStyle').val();
            var txtDescription = $('#txtDescription').val();
            var txtSpecialInfo = $('#txtSpecialInfo').val();
            var txtRate = $('#txtRate').val();
            var txtWeight = $('#txtItemWeight').val();
            var txtItemSize = $('#txtItemSize').val();
            var txtMasterL = $('#txtMasterL').val();
            var txtMasterW = $('#txtMasterW').val();
            var txtMasterH = $('#txtMasterH').val();
            var txtPiece = $('#txtPiece').val();
            var display = 0;
            if ($("#chkDisplay").is(':checked')) {
                display = 1;
            }
            //login & nav Required start
            var blnLoginRequired = 0;
            var blnNavAllowed = 0;
            if ($("#chkLogin").is(':checked')) {
                blnLoginRequired = 1
              
            }
            if ($("#chkNav").is(':checked')) {
                blnNavAllowed = 1
            }
            ID = InsertRecords(txtSubCategory, txtStyle, txtDescription, txtSpecialInfo, txtRate, txtWeight, txtItemSize, txtMasterL, txtMasterW, txtMasterH, txtFinishID, txtMaterialID, ID, txtPiece, display, blnLoginRequired, blnNavAllowed);
            //login & nav Required end
            return false;
        }
        return false;
    });

    $('#NewButton').on('click', function () {
        ID = 0;
        $(this).attr('data-target', '#compose-modal');
        $("#chkDisplay").iCheck('uncheck');

        //login & nav Required start
        $("#chkLogin").iCheck('uncheck');
        $("#chkNav").iCheck('uncheck');
        //login & nav Required end
        $("#popup")[0].reset();
        $('#popup #message').empty();
        $("#ProImg").attr('src', '');
        $('#txtStyle').css('background-color', 'white');
        if ($('#cmbCategory').val() <= 0) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html('Select Category');
            setInterval(function () {
                $('#divMessage').hide();
            }, 5000);
            return false;
        }
        if ($('#cmbSubCategory').val() <= 0) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html('Select sub category');
            setInterval(function () {
                $('#divMessage').hide();
            }, 5000);
            return false;
        }
    });

    function ClearFolder() {
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=CleanFolder',
            async: false,
            success: function () {
            }
        });
    }

    $('#cmbCategory').on('change', function () {
        getSubCategory($('#cmbCategory').val(), 0);
    });

    $('#cmbSubCategory').on('change', function () {
        subCatID = $('#cmbSubCategory').val();
        getEmployeeList(subCatID, 0);
    });

    $('tbody').on('click', '#Edit', function () {
        $("#chkDisplay").iCheck('uncheck');
        //login & nav Required start
        $("#chkLogin").iCheck('uncheck');
        $("#chkNav").iCheck('uncheck');
        //login & nav Required end
        $("#popup")[0].reset();
        $('#popup #message').empty();
        $("#ProImg").attr('src', '');
        ID = $(this).attr('abc');
        getRecords(ID);
    });

    $('tbody').on('click', '#Delete', function () {
        ID = $(this).attr('href');
        $('#divDelete').show();
        return false;
    });

    $('#ConfirmYes').on('click', function () {
        $('#divDelete').hide();
        DeleteRecords(ID);
    });
    $('#ConfirmNo').on('click', function () {
        $('#divDelete').hide();
    });

    function InsertRecords(txtSubCategory, txtStyle, txtDescription, txtSpecialInfo, txtRate, txtWeight, txtItemSize, txtMasterL, txtMasterW, txtMasterH, txtFinishID, txtMaterialID, ID, txtPiece, display, blnLoginRequired, blnNavAllowed) {
        var intID = 0;
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=Modification',
            type: 'get',
            dataType: 'json',
            data: {
                SubCategory: txtSubCategory,
                Style: txtStyle,
                txtDescription: txtDescription,
                SpecialInfo: txtSpecialInfo,
                MasterL: txtMasterL,
                MasterW: txtMasterW,
                MasterH: txtMasterH,
                intID: ID,
                txtFinish: txtFinishID,
                txtMaterial: txtMaterialID,
                Rate: txtRate,
                ItemWeight: txtWeight,
                ItemSize: txtItemSize,
                Piece: txtPiece,
                intDisplay: display,
                LoginRequired: blnLoginRequired, //login  Required 
                NavAllowed: blnNavAllowed           // nav Required 
            },
            async: false,
            success: function (data) {
                intID = data;
                if (data > 0 && ID == 0) {

                    $('#message').css('color', 'green');
                    $('#message').html('Save successfully...');
                }
                else {
                    $('#message').css('color', 'green');
                    $('#message').html('Updated successfully...');
                }
                getEmployeeList($('#cmbSubCategory').val(), Math.floor((TotalRecord() - 1) / 10));
                var intPagr = Math.floor((TotalRecord() - 1) / 10);
                console.log(intPagr);
                if (intPagr > 0) {
                    intPageNo = intPagr;
                    $('#btnPrev').prop('disabled', false);
                    $('#btnNext').prop('disabled', true);
                } else {
                    $('#btnPrev').prop('disabled', true);
                    $('#btnNext').prop('disabled', true);
                }
            }
        });
        return  intID;
    }

    function getCategory() {
        $.getJSON('scripts/Mod_Item.php?operation=get_Category', getClassDetails);
        function getClassDetails(data) {
            $.each(data, function (index, array) {
                $("#cmbCategory").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
        }
    }

    function getSubCategory(id, indx) {
        $('#cmbSubCategory').empty();
        $.getJSON('scripts/Mod_Item.php?operation=get_subCategory', {
            CatID: id
        }, getClassDetails);

        function getClassDetails(data) {
            $("#cmbSubCategory").append('<option value="0">Select SubCategory</option>');
            $.each(data, function (index, array) {
                $("#cmbSubCategory").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
            $("#cmbSubCategory").val(indx);
        }
    }

    function getRecords(id) {
        $.getJSON('scripts/Mod_Item.php?operation=GetData', {
            ID: id
        }, GetDetails);

        function GetDetails(data) {
            $('#txtStyle').val(data[0][0]);
            $('#txtDescription').val(data[0][1]);
            $('#txtSpecialInfo').val(data[0][2]);
            $('#txtFinish').val(data[0][4]);
            $('#txtMaterial').val(data[0][6]);
            $('#txtRate').val(data[0][7]);
            $('#txtItemWeight').val(data[0][8]);
            $('#txtItemSize').val(data[0][9]);
            $('#txtPiece').val(data[0][10]);
            $('#txtMasterL').val(data[0][11]);
            $('#txtMasterW').val(data[0][12]);
            $('#txtMasterH').val(data[0][13]);
            $("#ProImg").attr('src', 'Item/' + data[0][14]);
            if (data[0][15] == 1) {
                $("#chkDisplay").iCheck('check');
            } else {
                $("#chkDisplay").iCheck('uncheck');
            }
            //login & nav Required start
            if (data[0][16] == 1) {
                $("#chkLogin").iCheck('check');
                $("#chkNav").iCheck('check');
            } else {
                $("#chkLogin").iCheck('uncheck');
                $("#chkNav").iCheck('uncheck');
            }

            if (data[0][17] == 1) {
                $("#chkNav").iCheck('check');
            } else {
                $("#chkNav").iCheck('uncheck');
            }
            //login & nav Required end
        }
    }


    function DeleteRecords(id) {
        $.get('scripts/Mod_Item.php?operation=Delete', {
            ItemID: +id
        }, GetDetails);

        function GetDetails(data) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html(data);
            var intPagr = Math.floor((TotalRecord() - 1) / 10);
            console.log(intPagr);
            if (intPagr < intPageNo) {
                intPageNo = intPagr;
            }
            
            getEmployeeList($('#cmbSubCategory').val(), intPageNo);
            setInterval(function () {
               $('#divMessage').hide();
            }, 5000);

        }
    }

    function getEmployeeList(subCategory, intPageN) {
        $.get('scripts/Mod_Item.php?operation=get_Html', {
            SubCategory: subCategory,
            PageNo: intPageN
        }, function (data) {
            $('#btnNext').prop('disabled', false);
            $('tbody').empty();
            $('tbody').html(data);
            $('h4').hide();

            var intPagr = Math.floor((TotalRecord() - 1) / 10);
            console.log(intPagr);
            if (intPagr == intPageNo) {
                $('#btnNext').prop('disabled', true);
            } else {
                $('#btnNext').prop('disabled', false);
            }
        });
    }

    function TotalRecord() {
        var intID = 0;
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=TotalRecord',
            type: 'get',
            data: {SubCategoryID: subCatID},
            dataType: 'json',
            async: false,
            success: function (data) {
                intID = data[0][0];

            }
        });
        return  intID;
    }


    function getMaterial() {
        var Html = "";
        var i;
        $.get('scripts/Mod_Item.php?operation=get_Material', function (data) {
            $('#chkMaterial ul').empty();
            for (i = 0; i < data.length; i++) {
                Html += " <li><input type='checkbox' class='chkbx' value='" + data[i][0] + "' /><label>" + data[i][1] + "</label></li>";
            }
            $('#chkMaterial ul').html(Html);
        });
    }

    function getFinish() {
        var Html = "";
        var i;
        $.get('scripts/Mod_Item.php?operation=get_Finish', function (data) {
            $('#chkFinish ul').empty();
            for (i = 0; i < data.length; i++) {
                Html += " <li><input type='checkbox' class='chkbx' value='" + data[i][0] + "' /><label>" + data[i][1] + "</label></li>";
            }
            $('#chkFinish ul').html(Html);
        });
    }

    var files = "";
    $('#filesToUpload').bind('change', function () {
        ClearFolder();
    });

    $('#filesToUpload').on("change", function (e) {
        $('#btnsubmit').attr('disabled', true);
        files = e.target.files;
        readURL(this, "#ProImg");
    });

    function readURL(input, target) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            var image_target = $(target);
            reader.onload = function (e) {
                image_target.attr('src', e.target.result).show();
                $('#loader').show();
                uploadFile(e);
            };
            reader.readAsDataURL(input.files[0]);
        }
    }

    function uploadFile(e) {
        e.stopPropagation();
        e.preventDefault();
        // Create a formdata object and add the files
        var data = new FormData();
        $.each(files, function (key, value) {
            data.append(key, value);
        });
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=upload&files',
            type: 'POST',
            data: data,
            cache: false,
            dataType: 'json',
            processData: false,
            contentType: false,
            success: function (data, textStatus, jqXHR) {
                $('#btnsubmit').attr('disabled', false);
                $('#loader').hide();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                // Handle errors here
                console.log('ERRORS: ' + textStatus);
                // STOP LOADING SPINNER
            }
        });
    }

    $('#txtStyle').on('change', function () {
        if (ISRecordExist($(this).val()) > 0) {
            intValid = 1;
            $(this).css('background-color', 'red');
        } else {
            intValid = 0;
            $(this).css('background-color', 'greenyellow');
        }
    });

    function ISRecordExist(strStyleNO) {
        var intID;
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=ISRecordExist',
            type: 'get',
            dataType: 'json',
            data: {StyleNO: strStyleNO},
            async: false,
            success: function (data) {
                intID = data;
            }
        });
        return intID;
    }

    function getDuration(currentTime) {
        var keyvalues = sessionStorage.getItem("loginTime");
        console.log('keyvalues-' + keyvalues);
        getDuration = ((currentTime - keyvalues) / 60000);
        return getDuration;
    }
})();
