$(document).ready(function () {
    if (sessionStorage) {
        //console.log("yes you have");
        if (sessionStorage.getItem("sessionkey") == undefined) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html('You are not logged in.');
            setInterval(function () {
                window.location = "index.html";
            }, 5000);
        } else {
            var currentTime = new Date();
            currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
            //console.log(currentTime);
            var duration = getDuration(currentTime);
            console.log(duration);
            if (duration > 30) {
                $('#divMessage').show();
                $('#Bottommessage').css('color', 'red');
                $('#Bottommessage').html('Your session expired.');
                setInterval(function () {
                    window.location = "index.html";
                }, 5000);
            } else {
                console.log('Reset-' + duration);
                sessionStorage.setItem('loginTime', currentTime);
            }
        }
    }
    //$('#main_sidebar').load('../layout/sidebar.html');
    $('#main_sidebar').on('click', '#alogout', function (e) {
        sessionStorage.removeItem("sessionkey");
        alert('Logged out successfully.');
        window.location = "index.html";
        e.preventDefault();
    });
    //getEmployeeList();
    var ID = 0;
    getCategory();
    getMaterial();
    getFinish();
    var intFile = 0;
    var imgName = "";
    var count = 0;
    var intValid = 0;
    $("#popup")[0].reset();
    $('#loader').hide();

    $('#NewButton').on('click', function () {
        if (validate("#popup1")) {
            $('#popup1 #message').empty();
            $('#popup #message').empty();
            $('#btnUpload').attr('disabled', true);
            $('#btnsubmit').attr('disabled', true);
            $('#ImageList').html('');
           
            $(this).attr('data-target', '#compose-modal');
            $('#divLoader').hide();
        }
    });

    $('#ImageList').on('change', '.StyleNo', function () {
        if (ISRecordExist($(this).val()) > 0) {
            intValid = 1;
            $(this).css('background-color', 'red');
        } else {
            intValid = 0;
            $(this).css('background-color', 'greenyellow');
        }
    });

    function ISRecordExist(strStyleNO) {
        var intID;
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=ISRecordExist',
            type: 'get',
            dataType: 'json',
            data: {StyleNO: strStyleNO},
            async: false,
            success: function (data) {
                intID = data;
            }
        });
        return intID;
    }
     $("#chkLogin").on('change', function(){
        if ($("#chkLogin").is(':checked')) {
                $("#chkNav").iCheck('check');
            } 
     });
     
    $('#btnsubmit').click(function () {
        if (validate("#popup")) {
            var intSubCategory = $('#cmbSubCategory').val();
            var intMaterial = $('#cmbMaterial').val();
            var intFinish = $('#cmbFinish').val();
            var txtDiscription = $('#txtDescription').val();
            var txtStyleNo = [];
             //login & nav Required start
            var blnLoginRequired = 0;
            var blnNavAllowed = 0;
            if ($("#chkLogin").is(':checked')) {
                blnLoginRequired = 1
               
            }
            if ($("#chkNav").is(':checked')) {
                blnNavAllowed = 1
            }
            for (i = 0; i < intFile; i++) {
                txtStyleNo.push($('#txtStyleNo' + i).val());
            }
            InsertRecords(intSubCategory, intMaterial, intFinish, ID, txtDiscription, txtStyleNo, intFile,blnLoginRequired, blnNavAllowed);
        }
        return false;
    });

    function InsertRecords(intSubCategory, intMaterial, intFinish, ID, txtDiscription, txtStyleNo, intFile,blnLoginRequired, blnNavAllowed) {
        $.get('scripts/Mod_QuickEntry.php?operation=Modification', {
            SubCategory: intSubCategory,
            Material: intMaterial,
            Finish: intFinish,
            intID: ID,
            Discription: txtDiscription,
            StyleNo: txtStyleNo,
            intFiles: intFile,
            LoginRequired: blnLoginRequired, //login  Required 
           NavAllowed: blnNavAllowed,           // nav Required 
        }, GetDetails);
        function GetDetails(data) {
            intFile = 0;
            $('#btnsubmit').attr('disabled', true);
            $('#ImageList').html('');
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'green');
            $('#Bottommessage').html(data);
            setInterval(function () {
                //$('#divMessage').hide();
            }, 3000);

        }
    }

    $('#cmbCategory').on('change', function () {
        getSubCategory($('#cmbCategory').val(), 0);
    });

    function getCategory() {
        $.getJSON('scripts/Mod_Item.php?operation=get_Category', getClassDetails);
        function getClassDetails(data) {
            $.each(data, function (index, array) {
                $("#cmbCategory").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
        }
    }

    function getSubCategory(id, indx) {
        $.getJSON('scripts/Mod_Item.php?operation=get_subCategory', {CatID: id}, getClassDetails);
        function getClassDetails(data) {
            $.each(data, function (index, array) {
                $("#cmbSubCategory").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
            $("#cmbSubCategory").val(indx);
        }
    }

    function getMaterial() {
        $.getJSON('scripts/Mod_QuickEntry.php?operation=get_Material', getClassDetails);
        function getClassDetails(data) {
            $.each(data, function (index, array) {
                $("#cmbMaterial").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
        }
    }

    function getFinish() {
        $.getJSON('scripts/Mod_QuickEntry.php?operation=get_Finish', getClassDetails);
        function getClassDetails(data) {
            $.each(data, function (index, array) {
                $("#cmbFinish").append('<option value=' + array[0] + '>' + array[1] + '</option>');
            });
        }
    }

    $('#filesToUpload').bind('change', function () {
        $('#ImageList').html('');
        ClearFolder();
        $('#popup #message').empty();
    });

    function ClearFolder() {
        $.ajax({
            url: 'scripts/Mod_QuickEntry.php?operation=CleanFolder',
            async: false,
            success: function () {
            }
        });
    }

    var files = "";

    $('#filesToUpload').on("change", function (e) {
        $('#btnUpload').attr('disabled', false);
        files = e.target.files;
        var inp = document.getElementById('filesToUpload');
        var length = inp.files.length;
        intFile = length;
        if (length > 9) {
            $('#popup #message').html('Maximan 9 file allowed');
            $('#btnUpload').attr('disabled', true);
            files.clear();
            return false;
        }
        for (var i = 0; i < inp.files.length; ++i) {

            var name = inp.files.item(i).name;
            var SplitName = name.split('.');
            $('#ImageList').append('<div><input name="txtStyleNO' + i + '" type="text" class="StyleNo required" error="enter styleno..." id="txtStyleNo' + i + '" value="' + SplitName[0] + '"> &nbsp;&nbsp;' + name + '<div>');
        }
    });



    $('#btnUpload').on('click', function (e) {
        var inp = document.getElementById('filesToUpload');
        var length = inp.files.length;
        if (length > 0) {
            if (validate("#ImageList") && intValid == 0) {
                $("#ImageList").find(":input").prop("disabled", true);
                $('#popup #message').empty();
                $('#divLoader').show();

                uploadFile(e);
            }
            else {
                $('#popup #message').html('enter styleno...');
            }
            return false;
        }

    });

    function uploadFile(e) {
        e.stopPropagation();
        e.preventDefault();
        // Create a formdata object and add the files
        var data = new FormData();
        $.each(files, function (key, value) {
            data.append(key, value);
        });
        $.ajax({
            url: 'scripts/Mod_QuickEntry.php?operation=upload&files',
            type: 'POST',
            data: data,
            cache: false,
            dataType: 'json',
            processData: false,
            contentType: false,
            success: function (data, textStatus, jqXHR) {
                $('#btnUpload').attr('disabled', true);
                $('#btnsubmit').attr('disabled', false);
                $('#divLoader').hide();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                // Handle errors here
                console.log('ERRORS: ' + textStatus);
                // STOP LOADING SPINNER
            }
        });
    }

    function getDuration(currentTime) {
        var keyvalues = sessionStorage.getItem("loginTime");
        console.log('keyvalues-' + keyvalues);
        getDuration = ((currentTime - keyvalues) / 60000);
        return getDuration;
    }
})();
