<?php
function setImageSize($source_url)
{
                list($width, $height) = getimagesize($source_url);
                //$Ratio = $height / $width;
                $Ratio=5;
                return $Ratio;
}
function chKNull($value)
{
                if ($value == "") {
                                $value = NULL;
                                return $value;
                } else {
                                return $value;
                }
}
function get_Client_Info()
{
                $IPadress = "";
                if ($_SERVER) {
                                if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                                                $IPadress = $_SERVER['HTTP_X_FORWARDED_FOR'];
                                } elseif (isset($_SERVER['HTTP_CLIENT_IP'])) {
                                                $IPadress = $_SERVER['HTTP_CLIENT_IP'];
                                } else {
                                                $IPadress = $_SERVER['REMOTE_ADDR'];
                                }
                } else {
                                if (getenv('HTTP_X_FORWARDED_FOR')) {
                                                $IPadress = getenv('HTTP_X_FORWARDED_FOR');
                                } elseif (getenv('HTTP_CLIENT_IP')) {
                                                $IPadress = getenv('HTTP_CLIENT_IP');
                                } else {
                                                $IPadress = getenv('REMOTE_ADDR');
                                }
                }
                $clientDetails = $IPadress;
                $addr_details  = unserialize(file_get_contents('http://www.geoplugin.net/php.gp?ip=' . $IPadress));
                $city          = stripslashes(ucfirst($addr_details[geoplugin_city]));
                $countrycode   = stripslashes(ucfirst($addr_details[geoplugin_countryCode]));
                $country       = stripslashes(ucfirst($addr_details[geoplugin_countryName]));
                if ($city) {
                                $clientDetails .= "/" . $city;
                } else {
                                $clientDetails .= "/Unknown";
                }
                if ($countrycode) {
                                $clientDetails .= "/" . $countrycode;
                } else {
                                $clientDetails .= "/Unknown";
                }
                if ($country) {
                                $clientDetails .= "/" . $country;
                } else {
                                $clientDetails .= "/Unknown";
                }
                return $clientDetails;
}
function setWatermarkOnImage($max_size, $destination_folder, $watermark_png_file, $image_name, $image_size, $image_temp, $image_type)
{
                //echo("<script>console.log('PHP: ".json_encode($image_temp )."');</script>");
                switch (strtolower($image_type)) { //determine uploaded image type 
                                //Create new image from file
                                case 'image/png':
                                                $image_resource = imagecreatefrompng($image_temp);
                                                break;
                                case 'image/gif':
                                                $image_resource = imagecreatefromgif($image_temp);
                                                break;
                                case 'image/jpeg':
                                case 'image/pjpeg':
                                                $image_resource = imagecreatefromjpeg($image_temp);
                                                break;
                                default:
                                                $image_resource = false;
                }
                if ($image_resource) {
                                //Copy and resize part of an image with resampling
                                list($img_width, $img_height) = getimagesize($image_temp);
                                //Construct a proportional size of new image
                                $image_scale      = min($max_size / $img_width, $max_size / $img_height);
                                $new_image_width  = ceil($image_scale * $img_width);
                                $new_image_height = ceil($image_scale * $img_height);
                                $new_canvas       = imagecreatetruecolor($new_image_width, $new_image_height);
                                if (imagecopyresampled($new_canvas, $image_resource, 0, 0, 0, 0, $new_image_width, $new_image_height, $img_width, $img_height)) {
                                                if (!is_dir($destination_folder)) {
                                                                mkdir($destination_folder); //create dir if it doesn't exist
                                                }
                                                //center watermark
                                                $watermark_left   = ($new_image_width / 2) - (300 / 2); //watermark left
                                                $watermark_bottom = ($new_image_height / 2) - (100 / 2); //watermark bottom
                                                $watermark        = imagecreatefrompng($watermark_png_file); //watermark image
                                                imagecopy($new_canvas, $watermark, $watermark_left, $watermark_bottom, 0, 0, 300, 100); //merge image
                                                //output image direcly on the browser.
                                                //header('Content-Type: image/jpeg');
                                                //imagejpeg($new_canvas, NULL , 90);
                                                //Or Save image to the folder
                                                imagejpeg($new_canvas, $destination_folder . '/' . $image_name, 90);
                                                //free up memory
                                                imagedestroy($new_canvas);
                                                imagedestroy($image_resource);
                                                //die(); 
                                }
                }
}
?>