<?php
include('../../config/config.inc.php');

require ('fpdf.php');
$db = new DB();
class PDF extends FPDF

{

// Page header

function Header()
{

// Logo
// $this->Image('logo.png',10,6,30);
// Arial bold 15



// Move to the right
// $this->Cell(80);
// Title
$file_handle = fopen("CompanyDetails.txt", "r");
while (!feof($file_handle)) {
   $line = fgets($file_handle);
   $data=explode(':',$line);
   for($i=0;$i<count($data);$i++){
      //echo $data[$i].'<br/>';
        if($i==0){
           $this->SetFont('Arial', 'B', 25);
           $this->Cell(277, 7, $data[$i], 0, 0, 'C');
        } else {
            $this->SetFont('Arial', '', 10);
           $this->Cell(277, 7, $data[$i], 0, 0, 'C');
        }
       
       $this->Ln();
   }
   
}
fclose($file_handle);

//$this->Cell(277, 30, 'Fantsy Exports', 1, 0, 'C');

// Line break

$this->Ln(32);
}

// Page body

function Body()
{
$ItemID = $_GET['ItemID'];
$query = "SELECT 
                                            intItemID, strStyleNo, intCategoryID, strCategory,
                                        intSubCategoryID, strSubCategory, strDiscription, strSpecialInfo, 
                                        intDisplayRule, intQtyBox, intQtyInner, intQtyMaster, 
                                        decMasterL, decMasterW, DecMasterH, strInnerSize, intQty20ft, 
                                        intQty40ft, intQtyHighCubic, strWtUnit, decItemWeight, decGrossWeight, 
                                        intMaterialID, strMaterial, intFinishID, strFinish FROM vwItem WHERE intItemID in ($ItemID)"; 

$Item = array();
$result =  mysqli_query($db->db, $query)or die("Error in query: $query. " . mysqli_error());
while ($row = mysqli_fetch_row($result)) {
$Item[] = array(
$row[0],
$row[1],
$row[2],
$row[3],
$row[4],
$row[5],
$row[6],
$row[7],
$row[8],
$row[9],
$row[10],
$row[11],
$row[12],
$row[13],
$row[14],
$row[15],
$row[16],
$row[17],
$row[18],
$row[19],
$row[20],
$row[21],
$row[22],
$row[23],
$row[24],
$row[25]
);
}
$y=52;
// Logo
// $this->Image('logo.png',10,6,30);

for ($i = 0; $i < count($Item); $i++) {
if ($i % 4 == 0) {
$this->AddPage('L');
$this->SetFont('Arial', '', 8);
$this->SetY(42);
$y=52;
// Title

$this->Cell(47, 10, 'Picture', 1, 0, 'C');
$this->Cell(15, 10, 'ITEM#', 1, 0, 'C');
$this->Cell(25, 10, 'DESCRIPTION', 1, 0, 'C');
$this->Cell(30, 10, 'MATERIAL', 1, 0, 'C');
$this->Cell(30, 10, 'FINISH', 1, 0, 'C');
$this->Cell(25, 10, 'DIMENSION', 1, 0, 'C');
$this->Cell(25, 5, 'PACKING', 1, 0, 'C');
$this->Ln();
$this->SetX(182);
$this->Cell(12, 5, 'INNER', 1, 0, 'C');
$this->Cell(13, 5, 'OUTER', 1, 0, 'C');
$this->SetXY(207, 42);
$this->Cell(25, 10, 'CBM/CTN.', 1, 0, 'C');
$this->Cell(25, 10, 'PC/PRICE', 1, 0, 'C');
$this->Cell(15, 10, 'QTY', 1, 0, 'C');
$this->Cell(15, 10, 'CBM', 1, 0, 'C');
$this->Ln();
}
$imageurl='../Item/'.$Item[$i][0].'.jpg';

$this->Image($imageurl,10,$y,47, 33);
//$this->Cell(47, 33, 'Image', 1, 0, 'C');
$this->SetX(57);
$this->Cell(15, 33, $Item[$i][1], 1, 0, 'C');
$this->Cell(25, 33, $Item[$i][6], 1, 0, 'C');
$this->MultiCell(30, 7, $Item[$i][23],1,'J');
$this->SetXY(127,$y);
$this->MultiCell(30, 7, $Item[$i][25], 1, 'J');
$this->SetXY(157,$y);
$this->Cell(25, 33, floor($Item[$i][12]) . 'X' . floor($Item[$i][13]) . 'X' . floor($Item[$i][14]), 1, 0, 'C');
$this->Cell(12, 33, $Item[$i][10], 1, 0, 'C');
$this->Cell(13, 33, $Item[$i][11], 1, 0, 'C');
$this->Cell(25, 33, '' , 1, 0, 'C');
$this->Cell(25, 33, '', 1, 0, 'C');
$this->Cell(15, 33, '', 1, 0, 'C');
$this->Cell(15, 33, '', 1, 0, 'C');
$this->Ln();
$y=$y+33;
}

}

// Page footer

function Footer()
{

// Position at 1.5 cm from bottom

$this->SetY(-25);

// Arial italic 8

$this->SetFont('Arial', 'I', 8);

// Page number

$this->Cell(0, 20, 'www.highstandardonsite.com', 0, 0, 'C');
}
}

// Instanciation of inherited class

$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->Body();
$pdf->SetFont('Times', '', 12);

// for($i=1;$i<=40;$i++)
// $pdf->Cell(0,10,'Printing line number '.$i,0,1);

$pdf->Output();
$data1 =  $pdf->Output("", "S");
$email_from = "office@zeroerrorzone.com"; // Who the email is from
$email_subject = "Photo Offer Test"; // The Subject of the email
$email_to = "sandeep@zeroerrorzone.com"; // Who the email is to
$semi_rand = md5(time());
$data = chunk_split(base64_encode($data1));

$fileatt_type = "application/pdf"; // File Type
$mime_boundary = "==Multipart_Boundary_x{$semi_rand}x";

// set header ........................
$headers = "From:" . "<" .$email_from .">";
$headers .= "\nMIME-Version: 1.0\n" .
"Content-Type: multipart/mixed;\n" .
" boundary=\"{$mime_boundary}\"";

// set email message......................
$email_message = "Thanks for visiting ";
$email_message .= "Thanks for visiting.<br>";// Message that the email has in it
$email_message .= "This is a multi-part message in MIME format.\n\n" .
"--{$mime_boundary}\n" .
"Content-Type:text/html; charset=\"iso-8859-1\"\n" .
"Content-Transfer-Encoding: 7bit\n\n" .
$email_message .= "\n\n";
$email_message .= "--{$mime_boundary}\n" .
"Content-Type: {$fileatt_type};\n" .
" name=\"gff\"\n" .
"Content-Disposition: attachment;\n" .
" filename=\"Photo-Offer\"\n" .
"Content-Transfer-Encoding: base64\n\n" .
$data .= "\n\n" .
"--{$mime_boundary}--\n";

$sent = @mail($email_to, $email_subject, $email_message, $headers);
?>

	 
