$(function() {	
	 if (sessionStorage) {
		//console.log("yes you have");
		if (sessionStorage.getItem("sessionkey") == undefined) {
			alert('You are not logged in.');
			window.location = "../admin/index.html";
		} else {
			var currentTime = new Date();
			currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
			//console.log(currentTime);
			var duration = getDuration(currentTime);
			console.log(duration);
			if (duration > 30) {
				alert('Your session expired.');
				window.location = "../admin/index.html";
			} else {
				console.log('Reset-' + duration);
				sessionStorage.setItem('loginTime', currentTime);
			}
		}
	}
	//$('#main_sidebar').load('../layout/sidebar.html');
	$('#main_sidebar').on('click', '#alogout', function(e) {
		sessionStorage.removeItem("sessionkey");
		alert('Logged out successfully.');
		window.location = "index.html";
		e.preventDefault();
	});
	getEmployeeList();
	var ID = 0;
	//getCategory();
	$("#popup")[0].reset();
	var overlay = $('<div id="overlay"></div>');
	$('#popup_close').click(function() {
		$('.popup').hide();
		
		overlay.appendTo(document.body).remove();
		return false;
	});
	$('.x').click(function() {
		$('.popup').hide();
		overlay.appendTo(document.body).remove();
		return false;
	});
	$("#hrefPrint").click(function() {
		window.print();
		//$("#tab1").print();
		return (false);
	});
	$('#btnsubmit').click(function() {
	
		if (validate("#popup")) {
			var txtUserName = $('#txtUserName').val();
			var txtpassword = $('#txtPassword').val();
			var txtEmail = $('#txtEmail').val();
			InsertRecords(txtUserName, txtpassword, txtEmail, ID);
			return false;
		}
		return false;
	});
	$('#cmbCategory').on('change', function() {
		getSubCategory($('#cmbCategory').val(), 0);
	});
	$('tbody').on('click', '#Edit', function() {
		ID = $(this).attr('abc');
		getRecords(ID);
	});
	$('tbody').on('click', '#Delete', function() {
		ID = $(this).attr('href');
		DeleteRecords(ID);
		return false;
	});

	function InsertRecords(txtUserName, txtpassword, txtEmail, ID) {
	    ID=0;
		$.get('scripts/createuser.php?operation=Modification', {
			UserName: txtUserName,
			password: txtpassword,
			Email: txtEmail,
			intID: ID
		}, GetDetails);

		function GetDetails(data) {
			getEmployeeList();
			alert(data);
			$("#popup")[0].reset();
		}
	}

	function getCategory() {
		$.getJSON('scripts/Mod_Finish.php?operation=get_Finish', getClassDetails);

		function getClassDetails(data) {
			//alert(data);
			$.each(data, function(index, array) {
				$("#cmbItem").append('<option value=' + array[0] + '>' + array[1] + '</option>');
			});
		}
	}

	function getTotalRecord() {
		$.getJSON('scripts/Mod_Employee.php?operation=get_Total', getClassDetails);

		function getClassDetails(data) {
			$.each(data, function(index, array) {
				$("#TRecord").html(array[0] + "&nbsp;&nbsp;");
			});
		}
	}

	function getRecords(id) {
		$.getJSON('scripts/createuser.php?operation=get_User', {
			intid: id
		}, GetDetails);

		function GetDetails(data) {
			$.each(data, function(index, array) {
				$('#txtUserName').val(array[3]);
				$('#txtPassword').val(array[2]);
				$('#txtEmail').val(array[4]);
			});
		}
	}

	function DeleteRecords(id) {
		//alert(id);
		$.get('scripts/createuser.php?operation=Delete', {
			intid: +id
		}, GetDetails);

		function GetDetails(data) {
			//alert(data);
			// window.location.href='Employee.html#Close';
			getEmployeeList();
		}
	}

	function getEmployeeList() {
		$.get('scripts/createuser.php?operation=get_Html', function(data) {
			$('tbody').empty();
			$('tbody').html(data);
			$('h4').hide();
		});
		getTotalRecord();
	}

	function getUrlVar(key) {
		var result = new RegExp(key + "=([^&]*)", "i").exec(window.location.search);
		return result && unescape(result[1]) || 0;
	}

	function getDuration(currentTime) {
		var keyvalues = sessionStorage.getItem("loginTime");
		//keyvalues = keyvalues.split("/");
		console.log('keyvalues-' + keyvalues);
		getDuration = ((currentTime - keyvalues) / 60000);
		return getDuration;
	} 
})();