$(function () {
    if (sessionStorage) {
        //console.log("yes you have");
        if (sessionStorage.getItem("sessionkey") == undefined) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html('You are not logged in.');
            setInterval(function () {
                window.location = "index.html";
            }, 5000);
        } else {
            var currentTime = new Date();
            currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
            //console.log(currentTime);
            var duration = getDuration(currentTime);
            console.log(duration);
            if (duration > 30) {
                $('#divMessage').show();
                $('#Bottommessage').css('color', 'red');
                $('#Bottommessage').html('Your session expired.');
                setInterval(function () {
                    window.location = "index.html";
                }, 5000);
            } else {
                console.log('Reset-' + duration);
                sessionStorage.setItem('loginTime', currentTime);
            }
        }
    }

    $('#main_sidebar').on('click', '#alogout', function (e) {
        sessionStorage.removeItem("sessionkey");
        $('#divMessage').show();
        $('#Bottommessage').css('color', 'green');
        $('#Bottommessage').html('Logged out successfully.');
        setInterval(function () {
            $('#divMessage').hide();
        }, 3000);
        window.location = "index.html";
        e.preventDefault();
    });

    getEmployeeList();
    var CategoryID = 0;
    $('#loader').hide();

    var overlay = $('<div id="overlay"></div>');
    $('#popup_close').click(function () {
        $('.popup').hide();
        overlay.appendTo(document.body).remove();
        return false;
    });

    $('.x').click(function () {
        $('.popup').hide();
        overlay.appendTo(document.body).remove();
        return false;
    });
    $('#NewButton').on('click', function () {
        CategoryID = 0;
        $(this).attr('data-target', '#compose-modal');
        $("#chkDisplay").iCheck('uncheck');
        //login & nav Required start
        $("#chkLogin").iCheck('uncheck');
        $("#chkNav").iCheck('uncheck');
        //login & nav Required end
        $("#popup")[0].reset();
        $("#ProImg").attr('src', '');
        $('#message').empty();

    });
    $("#hrefPrint").click(function () {
        window.print();
        return (false);
    });
    
   
    
     $("#chkLogin").on('change', function(){
        if ($("#chkLogin").is(':checked')) {
                $("#chkNav").iCheck('check');
            } 
     });
     
      $('#btnsubmit').click(function () {

        var inp = document.getElementById('filesToUpload');
        var length = inp.files.length;

        if (validate("#popup")) {
            if (length < 1 && CategoryID == 0) {
                $('#popup #message').html('select image');
                $('#popup #message').css('color', 'red');
                return false;
            }
            $('#message').empty();
            var txtCategory = $('#txtCategory').val();
            var txtCatDescription = $('#txtCategoryDescription').val();
            var txtSequence = $('#txtSequence').val();
            var display = 0;
            if ($("#chkDisplay").is(':checked')) {
                display = 1;
            }
            //login & nav Required start
            var blnLoginRequired = 0;
            var blnNavAllowed = 0;
            if ($("#chkLogin").is(':checked')) {
                blnLoginRequired = 1
               
            }
            if ($("#chkNav").is(':checked')) {
                blnNavAllowed = 1
            }

            CategoryID = InsertRecords(txtCategory, txtCatDescription, txtSequence, CategoryID, display, blnLoginRequired, blnNavAllowed);
            //login & nav Required end
        }
        return false;
    });

    $('tbody').on('click', '#Edit', function () {
        $("#chkDisplay").iCheck('uncheck');
        //login & nav Required start
        $("#chkLogin").iCheck('uncheck');
        $("#chkNav").iCheck('uncheck');
        //login & nav Required end

        $("#popup")[0].reset();
        $("#ProImg").attr('src', '');
        $('#message').empty();
        CategoryID = $(this).attr('abc');
        getRecords(CategoryID);
    });
    $('#divDelete').hide();
    $('tbody').on('click', '#Delete', function () {
        $('#divDelete').show();
        CategoryID = $(this).attr('href');
        return false;
    });

    $('#ConfirmYes').on('click', function () {
        $('#divDelete').hide();
        DeleteRecords(CategoryID);
    });
    $('#ConfirmNo').on('click', function () {
        $('#divDelete').hide();
    });

    function InsertRecords(txtCategory, txtCatDescription, txtSequence, CategoryID, display, blnLoginRequired, blnNavAllowed) {
        var intID = 0;
        $.ajax({
            url: 'scripts/Mod_Category.php?operation=Modification',
            type: 'get',
            dataType: 'json',
            data: {Category: txtCategory,
                Description: txtCatDescription,
                Sequence: txtSequence,
                intCategoryID: CategoryID,
                intdisplay: display,
                LoginRequired: blnLoginRequired, //login  Required 
                NavAllowed: blnNavAllowed           // nav Required 
            },
            async: false,
            success: function (data) {

                intID = data;
                if (data > 0 && CategoryID == 0) {

                    $('#message').css('color', 'green');
                    $('#message').html('Save successfully...');
                }
                else {
                    $('#message').css('color', 'green');
                    $('#message').html('Updated successfully...');
                }
                getEmployeeList();
            }
        });
        return  intID;
    }

    function getRecords(id) {
        $.getJSON('scripts/Mod_Category.php?operation=GetData', {
            CategoryID: +id
        }, GetDetails);
        function GetDetails(data) {
            $('#txtCategory').val(data[0][1]);
            $('#txtCategoryDescription').val(data[0][2]);
            $('#txtSequence').val(data[0][3]);
            $("#ProImg").attr('src', 'Category/' + data[0][5]);
            if (data[0][4] == 1) {
                $("#chkDisplay").iCheck('check');
            } else {
                $("#chkDisplay").iCheck('uncheck');
            }
            //login & nav Required start
            if (data[0][6] == 1) {
                $("#chkLogin").iCheck('check');
                $("#chkNav").iCheck('check');
            } else {
                $("#chkLogin").iCheck('uncheck');
                $("#chkNav").iCheck('uncheck');
            }

            if (data[0][7] == 1) {
                $("#chkNav").iCheck('check');
            } else {
                $("#chkNav").iCheck('uncheck');
            }
            //login & nav Required end
        }
    }

    function DeleteRecords(id) {
        $.get('scripts/Mod_Category.php?operation=Delete', {
            Categoryid: +id
        }, GetDetails);
        function GetDetails(data) {
            $('#divMessage').show();
            $('#Bottommessage').css('color', 'red');
            $('#Bottommessage').html(data);
            getEmployeeList();
            setInterval(function () {
                $('#divMessage').hide();
            }, 5000);
        }
    }


    function getEmployeeList() {
        $.get('scripts/Mod_Category.php?operation=get_Html', function (data) {
            $('tbody').empty();
            $('tbody').html(data);
            $('h4').hide();
        });
    }

    $('#filesToUpload').bind('change', function () {
        ClearFolder();
    });

    function ClearFolder() {
        $.ajax({
            url: 'scripts/Mod_Item.php?operation=CleanFolder',
            async: false,
            success: function () {
            }
        });
    }

    var files = "";

    $('#filesToUpload').on("change", function (e) {
        $('#btnsubmit').attr('disabled', true);
        files = e.target.files;
        readURL(this, "#ProImg");
    });

    function readURL(input, target) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            var image_target = $(target);
            reader.onload = function (e) {
                image_target.attr('src', e.target.result).show();
                $('#loader').show();
                uploadFile(e);
            };
            reader.readAsDataURL(input.files[0]);
        }
    }

    function uploadFile(e) {
        e.stopPropagation();
        e.preventDefault();
        // Create a formdata object and add the files
        var data = new FormData();
        $.each(files, function (key, value) {
            data.append(key, value);
        });
        $.ajax({
            url: 'scripts/Mod_Category.php?operation=upload&files',
            type: 'POST',
            data: data,
            cache: false,
            dataType: 'json',
            processData: false,
            contentType: false,
            success: function (data, textStatus, jqXHR) {
                $('#loader').hide();
                $('#btnsubmit').attr('disabled', false);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                // Handle errors here
                console.log('ERRORS: ' + textStatus);
                // STOP LOADING SPINNER
            }
        });
    }

    function getDuration(currentTime) {
        var keyvalues = sessionStorage.getItem("loginTime");
        console.log('keyvalues-' + keyvalues);
        getDuration = ((currentTime - keyvalues) / 60000);
        return getDuration;
    }
})();
