$(function() {
	if (sessionStorage) {
		//console.log("yes you have");
		if (sessionStorage.getItem("sessionkey") == undefined) {
			alert('You are not logged in.');
			window.location = "index.html";
		} else {
			var currentTime = new Date();
			currentTime = currentTime.getTime(); //milliseconds since January 1, 1970
			//console.log(currentTime);
			var duration = getDuration(currentTime);
			console.log(duration);
			if (duration > 30) {
				alert('Your session expired.');
				window.location = "index.html";
			} else {
				console.log('Reset-' + duration);
				sessionStorage.setItem('loginTime', currentTime);
			}
		}
	}
	
	$('#main_sidebar').on('click', '#alogout', function(e) {
            sessionStorage.removeItem("sessionkey");
            alert('Logged out successfully.');
            window.location = "index.html";
            e.preventDefault();
	});
        
	getEmployeeList();
	var SubCategoryID = 0;
	getCategory();
	$('#loader').hide();
	$("#popup")[0].reset();
	var overlay = $('<div id="overlay"></div>');
	
        $('#popup_close').click(function() {
            $('.popup').hide();
            overlay.appendTo(document.body).remove();
            return false;
	});
	
        $('.x').click(function() {
            $('.popup').hide();
            overlay.appendTo(document.body).remove();
            return false;
	});
	
        $("#hrefPrint").click(function() {
            window.print();
            //$("#tab1").print();
            return (false);
	});
        
	$('#NewButton').on('click', function() {
            CategoryID = 0;
            //alert('in');
            $(this).attr('data-target', '#compose-modal');
            $("#chkDisplay").iCheck('uncheck');
            $("#popup")[0].reset();
            $("#ProImg").attr('src', '');
            $('#message').empty();
	});
	
        $('#btnsubmit').click(function() {
            var inp = document.getElementById('filesToUpload');
            var  length = inp.files.length;
            if (validate("#popup")) {
                if (length<1 && SubCategoryID==0){
                    $('#popup #message').html('select image');
                    $('#popup #message').css('color','red');
                    return false;
                }
                $('#message').empty();
                var txtCategory = $('#cmbCategory').val();
                var txtSubCategory = $('#txtSubCategory').val();
                var txtSubatDescription = $('#txtSubCategoryDescription').val();
                var txtSequence = $('#txtSequence').val();
                var display = 0;
                if ($("#chkDisplay").is(':checked')) {
                        display = 1;
                }
                SubCategoryID = InsertRecords(txtCategory, txtSubCategory, txtSubatDescription, txtSequence, SubCategoryID, display);
            }
            return false;
	});
        
	$('tbody').on('click', '#Edit', function() {
            $("#chkDisplay").iCheck('uncheck');
            $("#popup")[0].reset();
            $("#ProImg").attr('src', '');
            $('#message').empty();
            SubCategoryID = $(this).attr('abc');
            getRecords(SubCategoryID);
	});
        
	$('tbody').on('click', '#Delete', function() {
            SubCategoryID = $(this).attr('href');
             $('#divDelete').show();
            return false;
	});
        
         $('#ConfirmYes').on('click',function(){
            $('#divDelete').hide();
            DeleteRecords(SubCategoryID);
        });
        $('#ConfirmNo').on('click',function(){
            $('#divDelete').hide();
        });

	function InsertRecords(txtCategory, txtSubCategory, txtSubatDescription, txtSequence, SubCategoryID, display) { //alert(txtCategory+txtSubCategory+txtSubatDescription+txtSequence+SubCategoryID);
	var intID = 0;	
            $.ajax({
                url:'scripts/Mod_SubCategory.php?operation=Modification',
                type: 'get',
                dataType: 'json',
                data:{
                    Category: txtCategory,
                    SubCategory: txtSubCategory,
                    Description: txtSubatDescription,
                    Sequence: txtSequence,
                    intID: SubCategoryID,
                    intdisplay: display
                },
                async: false,
                success: function(data) {

                intID = data;
                 if(data>0 && SubCategoryID==0){

                        $('#message').css('color','green');
                        $('#message').html('Save successfully...');
                    }
                    else{
                        $('#message').css('color','green');
                        $('#message').html('Updated successfully...');   
                    }
                    getEmployeeList();
            }
        });
        return intID;
    }

	function getCategory() {
            $.getJSON('scripts/Mod_SubCategory.php?operation=get_Category', getClassDetails);
            function getClassDetails(data) {
                $.each(data, function(index, array) {
                    $("#cmbCategory").append('<option value=' + array[0] + '>' + array[1] + '</option>');
                });
            }
	}

	function getRecords(id) {
            $.getJSON('scripts/Mod_SubCategory.php?operation=GetData', {
                CategoryID: +id
		}, GetDetails);
            function GetDetails(data) {
                $('#cmbCategory').val(data[0][0]);
                $('#txtSubCategory').val(data[0][1]);
                $('#txtSubCategoryDescription').val(data[0][2]);
                $('#txtSequence').val(data[0][3]);
                $("#ProImg").attr('src', 'SubCategory/' + data[0][4]);
                if (data[0][5] == 1) {
                    $("#chkDisplay").iCheck('check');	
                } else {
                    $("#chkDisplay").iCheck('uncheck');
                }
            }
	}

	function DeleteRecords(id) {
            $.get('scripts/Mod_SubCategory.php?operation=Delete', {
                    SubCategoryid: +id
            }, GetDetails);
            function GetDetails(data) {
                 $('#divMessage').show();
                $('#Bottommessage').css('color','red');
                $('#Bottommessage').html(data);
                getEmployeeList();
                setInterval(function(){
                    $('#divMessage').hide();
                }, 5000);
               
            }
	}

	function getEmployeeList() {
            $.get('scripts/Mod_SubCategory.php?operation=get_Html', function(data) {
                $('tbody').empty();
                $('tbody').html(data);
                $('h4').hide();
            });
        }

	function ClearFolder() {
            $.ajax({
                url: 'scripts/Mod_Item.php?operation=CleanFolder',
                async: false,
                success: function() {}
            });
	}
        
	$('#filesToUpload').bind('change', function() {
            ClearFolder();
        });
        
	var files = "";
	$('#filesToUpload').on("change", function(e) {
            $('#btnsubmit').attr('disabled',true);
            files = e.target.files;
            readURL(this, "#ProImg");
	});

	function readURL(input, target) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                var image_target = $(target);
                reader.onload = function(e) {
                    image_target.attr('src', e.target.result).show();
                    $('#loader').show();
                    uploadFile(e);
                };
                reader.readAsDataURL(input.files[0]);
            }
	}

	function uploadFile(e) {
            e.stopPropagation();
            e.preventDefault();
            // Create a formdata object and add the files
            var data = new FormData();
            $.each(files, function(key, value) {
                data.append(key, value);
            });
            $.ajax({
                url: 'scripts/Mod_SubCategory.php?operation=upload&files',
                type: 'POST',
                data: data,
                cache: false,
                dataType: 'json',
                processData: false,
                contentType: false,
                success: function(data, textStatus, jqXHR) {
                    $('#loader').hide();
                    $('#btnsubmit').attr('disabled',false);
                },
                error: function(jqXHR, textStatus, errorThrown) {
                    // Handle errors here
                    console.log('ERRORS: ' + textStatus);
                    // STOP LOADING SPINNER
                }
            });
	}

	function getDuration(currentTime) {
            var keyvalues = sessionStorage.getItem("loginTime");
            //keyvalues = keyvalues.split("/");
            console.log('keyvalues-' + keyvalues);
            getDuration = ((currentTime - keyvalues) / 60000);
            return getDuration;
	}
})();
