<?php
include('config.inc.php');
include('../admin/scripts/function.php');


$db = new DB();

/**  Switch Case to Get Action from controller  * */
switch ($_GET['action']) {
    case 'getCategory':
        getCategory($db);
        break;
    case 'getSingleCategory':
        getSingleCategory($db);
        break;
    case 'getSubCategory':
        getSubCategory($db);
        break;
    case 'getItems':
        getItems($db);
        break;
    case 'userLogin':
        getLogin($db);
        break;
    case 'getDropdown':
        getDropdown($db);
        break;
    case 'getItemDetail':
        getItemDetail($db);
        break;
    case 'sendCartQuery':
        sendCartQuery();
        break;
        case 'sendOnlineQuery':
        sendOnlineQuery();
        break;
    case 'sendUserQuery':
        sendUserQuery();
        break;
    case 'getSearchItem':
        getSearchItem($db);
        break;
    case 'getFairNews':
        getFairNews($db);
        break;
    case 'getPassword':
        getPassword($db);
        break;
    case 'checkcaptcha':
        checkcaptcha();
        break;
}

/**  Function to get Category  * */
function getCategory($db) {
    $dir = '../admin/Category/';
    $files = scandir($dir);
    $orignal_src = "";
    $src = "";
    $qry = $_GET['Query'];
	$qry_res = mysqli_query($db->db, $qry);
    $data = array();
    while ($rows = mysqli_fetch_array($qry_res)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $rows['intCategoryID']) {
                $orignal_src = "admin/Category/" . $files[$j];
                $src = "../admin/Category/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/Category/no-image.png";
                $src = "../admin/Category/no-image.png";
            }
        }
        $data[] = array(
            "intCategoryID" => $rows['intCategoryID'],
            "strCategory" => $rows['strCategory'],
            "strCategoryText" => $rows['strCategoryText'],
            "blnNavAllowed" => $rows['blnNavAllowed'],
            "imageSrc" => $orignal_src,
            "imageRatio" => setImageSize($src)
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($data);
}

/**  Function to get Single Category  * */
function getSingleCategory($db) {
    $CategoryId = $_GET['CategoryID'];
    $dir = '../admin/Category/';
    $files = scandir($dir);
    $orignal_src = "";
    $src = "";
    $qry = 'select intCategoryID, strCategory, strCategoryText from tblCategory where intDisplayRule=1 and intCategoryID =' . $CategoryId . ' order by intSequence ASC';
	$qry_res = mysqli_query($db->db, $qry);
    $data = array();
    $rows = mysqli_fetch_array($qry_res);
    $intCount = 0;
    for ($j = 2; $j < count($files); $j++) {
        $fileName = explode('.', $files[$j]);
        $tempfolder = $dir . $files[$j];
        if ($fileName[0] == $rows['intCategoryID']) {
            $orignal_src = "admin/Category/" . $files[$j];
            $src = "../admin/Category/" . $files[$j];
            $intCount += 1;
        }
        if ($intCount == 0) {
            $orignal_src = "admin/Category/no-image.png";
            $src = "../admin/Category/no-image.png";
        }
    }
    $data[] = array(
        "intCategoryID" => $rows['intCategoryID'],
        "strCategory" => $rows['strCategory'],
        "strCategoryText" => $rows['strCategoryText'],
        "imageSrc" => $orignal_src,
        "imageRatio" => setImageSize($src)
    );
    header('content-type: application/json; charset=utf-8');
    echo json_encode($data);
}

/**  Function to get SubCategory  * */
function getSubCategory($db) {
    //$data = json_decode(file_get_contents("php://input"));    
    //$CategoryId = $data->CategoryID; 
    //$CategoryId = $_GET['CategoryID']; 
    $dir = '../admin/SubCategory/';
    $files = scandir($dir);
    $orignal_src = "";
    $src = "";
    //$qry ='select intSubCategoryID, strSubCategory, strSubCategoryText from tblSubCategory where intDisplayRule=1 and intCategoryID= '.$CategoryId.' order by intSequence ASC';      
    $qry = $_GET['Query'];
	$qry_res = mysqli_query($db->db, $qry);
    $SubCategorydata = array();
    while ($rows = mysqli_fetch_array($qry_res)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $rows['intSubCategoryID']) {
                $orignal_src = "admin/SubCategory/" . $files[$j];
                $src = "../admin/SubCategory/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/SubCategory/no-image.png";
                $src = "../admin/SubCategory/no-image.png";
            }
        }
        $SubCategorydata[] = array(
            "intSubCategoryID" => $rows['intSubCategoryID'],
            "strSubCategory" => $rows['strSubCategory'],
            "strSubCategoryText" => $rows['strSubCategoryText'],
            "blnNavAllowed" => $rows['blnNavAllowed'],
            "imageSrc" => $orignal_src,
            "imageRatio" => setImageSize($src)
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($SubCategorydata);
}

/**  Function to get Items  * */
function getItems($db) {
    
    $dir = '../admin/Item/';
    $files = scandir($dir);
    $orignal_src = "";
    $src = "";
    $qry = $_GET['Query'];
	$qry_res = mysqli_query($db->db, $qry);
	$qry1=mysqli_error($db->db);
    $Itemdata = array();
    while ($rows = mysqli_fetch_array($qry_res)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $rows['intItemID']) {
                $orignal_src = "admin/Item/" . $files[$j];
                $src = "../admin/Item/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/Item/no-image.png";
                $src = "../admin/Item/no-image.png";
            }
        }
        
                $Itemdata[] = array(
            "intItemID" => $rows['intItemID'],
            "strStyleNo" => $rows['strStyleNo'],
            "intCategoryID" => $rows['intCategoryID'],
            "strSpecialInfo" => $rows['strSpecialInfo'],
            "blnNavAllowed" => $rows['blnNavAllowed'],
            "imageSrc" => $orignal_src,
            "imageRatio" => setImageSize($src)
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($Itemdata);
}

/**  Function to get Login  * */
function getLogin($db) {
   $data = json_decode(file_get_contents("php://input"));
    //$user = $_GET['user'];
    //$password = $_GET['password'];
    $user = $data->user;
    $password = $data->password;
    $qry = "SELECT intDBUserId,strLogin,strUserName,intDBRoleType FROM tblDBUser where strLogin = '" . $user . "' and strPassword='" . $password . "'";
	$qry_res = mysqli_query($db->db, $qry) or die('Error:-' . $qry);
    $data = array();
	
    while ($rows = mysqli_fetch_array($qry_res)) {
        $data[] = array(
            "intDBUserId" => $rows['intDBUserId'],
            "strLogin" => $rows['strLogin'],
            "strUserName" => $rows['strUserName'],
            "intDBRoleType" => $rows['intDBRoleType']
        );
		$qry1 = 'call spInsertLogSheet('.$rows['intDBUserId'].')';
		$qry_res1 = mysqli_query($db->db, $qry1) or die('Error:-' . $qry1);
    }
	/* if(mysql_num_rows($qry_res)){
		$AllowedLogin = $data[0]['intAllowedLogin']-1;
		$userid=$data[0]['intDBUserId'];
		$qry1="update tblDBUser set intAllowedLogin = ".$AllowedLogin." where intDBUserId= ".$userid;
		$qry_res1 = mysql_query($qry1);  
		
	}
	else{
		//$data ="You Are Not Authorized For Login...";
	 
	} */
    header('content-type: application/json; charset=utf-8');
    echo json_encode($data);
}

function getDropdown($db) {
    $qry = $_GET['Query'];
    //$qry ='select intCategoryID, strCategory, strCategoryText from tblCategory where intDisplayRule=1 and intCategoryID ='.$CategoryId.' order by intSequence ASC';      
	$qry_res = mysqli_query($db->db, $qry);
    $data = array();
    while ($rows = mysqli_fetch_array($qry_res)) {
        $data[] = array(
            "intCategoryID" => $rows['intCategoryID'],
            "strCategory" => $rows['strCategory'],
            "intSubCategoryID" => $rows['intSubCategoryID'],
            "CatblnNavAllowed" => $rows['CatblnNavAllowed'],
            "SubCatblnNavAllowed" => $rows['SubCatblnNavAllowed'],
            "strSubCategory" => $rows['strSubCategory']
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($data);
}

function getItemDetail($db) {
    $dir = '../admin/Item/';
    $files = scandir($dir);
    $orignal_src = "";
    $src = "";
    $qry = $_GET['Query'];
	$qry_res = mysqli_query($db->db, $qry);
    $Itemdata = array();
    while ($rows = mysqli_fetch_array($qry_res)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $rows['intItemID']) {
                $orignal_src = "admin/Item/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/Item/no-image.png";
            }
        }
        $Itemdata[] = array(
            "intItemID" => $rows['intItemID'],
            "strStyleNo" => $rows['strStyleNo'],
            "strSpecialInfo" => $rows['strSpecialInfo'],
            "imageSrc" => $orignal_src,
            "strMaterial" => $rows['strMaterial'],
            "strFinish" => $rows['strFinish'],
            "strSubCategory" => $rows['strSubCategory'],
            "strDiscription" => $rows['strDiscription']
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($Itemdata);
}

/**  Function to sendCartQuery  * */
function sendCartQuery() {
    $data = json_decode(file_get_contents("php://input"));
    $name = $data->name;
    $email = $data->email;
    $message = $data->message;
    $cartData = $data->cartData;
    $to = "query@alamexportindia.com";

    $html = "";
    $html = "<table style='width:350px; border-collapse:collapse;' border='1'>";
    $html .= "<tr>";
    $html .= "<td colspan='2' style='text-align:center'> Cart Query by " . $name;
    $html .= "</td>";
    $html .= "</tr>";
    $html .= "<tr>";
    $html .= "<td >Name";
    $html .= "</td>";
    $html .= "<td >" . $name;
    $html .= "</td>";
    $html .= "</tr>";
    $html .= "<tr>";
    $html .= "<td >Email";
    $html .= "</td>";
    $html .= "<td >" . $email;
    $html .= "</td>";
    $html .= "</tr>";
    $html .= "<tr>";
    $html .= "<td >Message";
    $html .= "</td>";
    $html .= "<td >" . $message;
    $html .= "</td>";
    $html .= "</tr>";
    $html .= "<tr>";
    $html .= "<th >Product Image";
    $html .= "</th>";
    $html .= "<th >StyleNo";
    $html .= "</th>";
    $html .= "</tr>";
    for ($i = 0; $i < count($cartData); $i++) {
        $html .= "<tr>";
        $html .= "<td><img src='" . $cartData[$i]->imgsrc . "' style='width:120px;' /></td>";
        $html .= "</td>";
        $html .= "<td>" . $cartData[$i]->name;
        $html .= "</td>";
        $html .= "</tr>";
    }
    $html .= "</table>";


    $headers = "From:" . $email . "\r\n";
    $headers .= "Bcc:zeroerrorzone@gmail.com" . "\r\n";
    // Always set content-type when sending HTML email
    $headers .= "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";


    if (mail($to, "Cart - Query || Alam Export India.", $html, $headers)) {
        echo 'Your message has been sent.';
    } else {
        echo 'There was a problem sending the email.';
    }
}

/**  Function to sendOnlineQuery (Business Query) * */
function sendOnlineQuery() {
    $data = json_decode(file_get_contents("php://input"));

    $CompanyName = $data->CompanyName;
    $Name = $data->Name;
    $Email = $data->Email;
    $Contact = $data->Contact;
    $Address = $data->Address;
    $City = $data->City;
    $Country = $data->Country;
    $Subject = $data->Subject;
    $Query = $data->Query;

    $ClientData = explode('/', get_Client_Info());
    $ClientIPAddress = $ClientData[0];
    $ClientCity = $ClientData[1];
    $ClientCountryCode = $ClientData[2];
    $ClientCountry = $ClientData[3];

    $to = 'query@alamexportindia.com'; // this is your Email address
    $from = 'query@alamexportindia.com'; // this is the sender's Email address
    $first_name = $Name;
    $subject = $Subject;
    $message = "<table>";
    $message .="<tr>";
    $message .="<td> Company Name :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $CompanyName;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Name :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $first_name;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Contact :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Contact;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Email :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Email;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Address :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Address;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> City :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $City;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Country;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Subject :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Subject;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Query :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Query;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> IP Address :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientIPAddress;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> City:";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCity;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country Code:";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCountryCode;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCountry;
    $message .="</td>";
    $message .="</tr>";
    $message .="</table>";

    $thanksMessage = "Your Query is under consideration. We will reply you soon. Thanks for your visit.";

    $headers = "From:" . $from . "\r\n";
    $headers .= "Bcc:zeroerrorzone@gmail.com" . "\r\n";
    // Always set content-type when sending HTML email
    $headers .= "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

    $headers2 = "From:" . $from . "\r\n";
    // $headers2 .= "Bcc:zeroerrorzone@gmail.com". "\r\n";
    // Always set content-type when sending HTML email
    $headers2 .= "MIME-Version: 1.0" . "\r\n";
    $headers2 .= "Content-type:text/html;charset=UTF-8" . "\r\n";
   
    if (mail($to, 'Alam Export India', $message, $headers)) {
        if (mail($Email, 'Alam Export India', $thanksMessage, $headers2)) {
            echo 'Your query sent successfully.';
        }
    } else {
        echo 'There was a problem sending the email.';
    }
}

/**  Function to sendUserQuery (User Login Query) * */
function sendUserQuery() {
    $data = json_decode(file_get_contents("php://input"));

    $CompanyName = $data->CompanyName;
    $Name = $data->Name;
    $Email = $data->Email;
    $Contact = $data->Contact;
    $Address = $data->Address;
    $City = $data->City;
    $Country = $data->Country;
    $Query = $data->Query;

    $ClientData = explode('/', get_Client_Info());
    $ClientIPAddress = $ClientData[0];
    $ClientCity = $ClientData[1];
    $ClientCountryCode = $ClientData[2];
    $ClientCountry = $ClientData[3];

    $to = 'query@alamexportindia.com'; // this is your Email address
    $from = 'query@alamexportindia.com'; // this is the sender's Email address
    $first_name = $Name;
    $message = "<table>";
    $message .="<tr>";
    $message .="<td> Company Name :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $CompanyName;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Name :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $first_name;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Email :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Email;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Contact :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Contact;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Address :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Address;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> City :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $City;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Country;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Query :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $Query;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> IP Address :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientIPAddress;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> City:";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCity;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country Code:";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCountryCode;
    $message .="</td>";
    $message .="</tr>";
    $message .="<tr>";
    $message .="<td> Country :";
    $message .="</td>";
    $message .="<td>";
    $message .="</td>";
    $message .="<td>" . $ClientCountry;
    $message .="</td>";
    $message .="</tr>";
    $message .="</table>";

    $thanksMessage = "Your Query is under consideration. We will reply you soon. Thanks for your visit.";

    $headers = "From:" . $from . "\r\n";
    $headers .= "Bcc:zeroerrorzone@gmail.com" . "\r\n";
    // Always set content-type when sending HTML email
    $headers .= "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

    $headers2 = "From:" . $from . "\r\n";
    // $headers2 .= "Bcc:zeroerrorzone@gmail.com". "\r\n";
    // Always set content-type when sending HTML email
    $headers2 .= "MIME-Version: 1.0" . "\r\n";
    $headers2 .= "Content-type:text/html;charset=UTF-8" . "\r\n";

    if (mail($to, 'Alam Export India - User Login Query', $message, $headers)) {
        if (mail($Email, 'Alam Export India - User Login Query', $thanksMessage, $headers2)) {
            echo 'Your query sent successfully.';
        }
    } else {
        echo 'There was a problem sending the email.';
    }
}

function getSearchItem($db) {
    $dir = '../admin/Item/';
    $files = scandir($dir);
    $img = "";
    $serverFileName = "";
    //$html="";
    //$value          = $_GET['q'];
    $orignal_src = "";
    $src = "";
    $query = $_GET['Query'];
	$result = mysqli_query($db->db, $query) or die("Error in query: $query. " . mysql_error());
    $SearchDetail = array();
    while ($row = mysqli_fetch_array($result)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $row[0]) {
                $orignal_src = "admin/Item/" . $files[$j];
                $src = "../admin/Item/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/Item/no-image.png";
                $src = "../admin/Item/no-image.png";
            }
        }
        $SearchDetail[] = array(
            "intItemID" => $row['intItemID'],
            "strStyleNo" => $row['strStyleNo'],
            "intSubCategoryID" => $row['intSubCategoryID'],
            "strSpecialInfo" => $row['strSpecialInfo'],
            "imageRatio" => setImageSize($src),
            "imgSrc" => $orignal_src,
            "blnNavAllowed" => $row['blnNavAllowed']
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($SearchDetail);
}

function getFairNews($db) {
    $dir = '../admin/NewsImage/';
    $files = scandir($dir);
    $img = "";
    $serverFileName = "";
    $orignal_src = "";
    $src = "";
    $query = $_GET['Query'];
	$result = mysqli_query($db->db, $query) or die("Error in query: $query. " . mysql_error());
    $SearchDetail = array();
    while ($row = mysqli_fetch_array($result)) {
        $intCount = 0;
        for ($j = 2; $j < count($files); $j++) {
            $fileName = explode('.', $files[$j]);
            $tempfolder = $dir . $files[$j];
            if ($fileName[0] == $row[0]) {
                $orignal_src = "admin/NewsImage/" . $files[$j];
                $src = "../admin/NewsImage/" . $files[$j];
                $intCount += 1;
            }
            if ($intCount == 0) {
                $orignal_src = "admin/NewsImage/no-image.png";
                $src = "../admin/NewsImage/no-image.png";
            }
        }
        $news[] = array(
            "intNewsID" => $row['intNewsID'],
            "strSubject" => $row['strSubject'],
            "strNews" => $row['strNews'],
            "imgSrc" => $orignal_src
        );
    }
    header('content-type: application/json; charset=utf-8');
    echo json_encode($news);
}


/**  Function to get Password  * */
function getPassword($db) {
    $data = json_decode(file_get_contents("php://input"));

    //$query = $data->Query;
    $query1 = $_GET['Query'];
    $query="SELECT strPassword, strEmail FROM tblDBUser where strEmail = '$query1'";
	$result = mysqli_query($db->db, $query) or die("Error in query: $query. " . mysqli_error($db->db));

    while ($row = mysqli_fetch_array($result)) {




        $to = $row[1]; // this is your Email address
        $from = 'query@alamexportindia.com'; // this is the sender's Email address

        $message = "Your Password is " . $row[0];




        $headers = "From:" . $from . "\r\n";
        //$headers .= "Bcc:zeroerrorzone@gmail.com". "\r\n";
        // Always set content-type when sending HTML email
        $headers .= "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";


        if (mail($to, 'User Login - Query', $message, $headers)) {
            echo 'Your query sent successfully.';
        } else {
            echo 'There was a problem sending the email.';
        }
    }
}

function checkcaptcha() {
    $query = $_GET["captcha"];
    session_start();
if(isset($query)) {
    if(strtolower($query) == strtolower($_SESSION['6_letters_code'])){
        echo 1;
    } else {
        echo 0;
    }
} else {
    echo 0; // no code
}
}
?>