angular.module("cart", [])
.factory("cart", function($window){// console.log("hi..");
	var CartData = [] ;
	if($window.sessionStorage.getItem('cartData') != null){
		CartData = JSON.parse($window.sessionStorage.getItem('cartData'));
	}
	return{
		addProduct: function(id, name, imgsrc){ //console.log(name+'-'+imgsrc);
			var addedToExistingItem = false;
			for(var i=0; i < CartData.length; i++){
				if(CartData[i].id == id ){
					CartData[i].count++;
					addedToExistingItem = true;
					break;
				}
			}
			if(!addedToExistingItem){
				CartData.push({count: 1,id: id, name: name, imgsrc: imgsrc});
				$window.sessionStorage.setItem('cartData',JSON.stringify(CartData));
			}
		 },
		 removeProduct: function(id){
			for(var i=0; i < CartData.length; i++){
				if(CartData[i].id == id ){
					CartData.splice(i,1);
					$window.sessionStorage.setItem('cartData',JSON.stringify(CartData));
					//console.log(JSON.parse($window.sessionStorage.getItem('cartData')));
					break;
				}
			}
		 },
		 getProduct: function(){	//console.log("CartData-"+CartData);
			 return CartData;
		 }    
	}
})
.directive("cartsummary", function(cart){ 
		return{
			restrict: "E",
			templateUrl: "partials/cartSummary.html",
			controller: function($scope){
				var cartData =  cart.getProduct();
				
				$scope.itemCount = function(){
					var total=0;
					for(var i=0; i < cartData.length; i++){
						total += (cartData[i].count);
					}
					return total;
				}
			}
		};
});